using NetinaCMS.Domain.Entities.StorageFiles;
using NetinaCMS.Domain.Enums;

namespace NetinaCMS.Domain.Entities.Blogs;

public partial class BlogStorageFile : StorageFile
{
    public BlogStorageFile()
    {
        
    }
    public BlogStorageFile(string name, string fileLocation, string fileName, bool isHeader, bool isPrimary, StorageFileType fileType, Guid blogId) :
        base(name, fileLocation, fileName, isHeader, isPrimary, fileType)
    {
        BlogId = blogId;
    }
    public Guid BlogId { get; internal set; }
    public Blog? Blog { get; internal set; }
}